package com.xingxi.web.controller.master.product.service;

import com.xingxi.web.controller.master.product.domain.ProdAttrVo;

import java.util.List;

/**
 * 商品属性Service接口
 *
 * @author xingxi
 * @date 2025-03-06
 */
public interface IProdAttrVoService {
    /**
     * 查询商品属性VO
     *
     * @param prodAttrId 商品属性ID
     * @return 商品属性VO
     */
    ProdAttrVo selectProdAttrVoByProdAttrId(Long prodAttrId);

    /**
     * 查询商品属性列表
     *
     * @param prodAttrVo 商品属性Vo
     * @return 商品属性集合
     */
    List<ProdAttrVo> selectProdAttrVoList(ProdAttrVo prodAttrVo);

    /**
     * 查询商品属性组合列表
     *
     * @param prodAttrVo 商品属性Vo
     * @return 商品属性组合集合
     */
    List<ProdAttrVo> selectProdAttrJointList(ProdAttrVo prodAttrVo);

    /**
     * 添加商品属性
     *
     * @param prodAttrVo 商品属性Vo
     * @return 影响行数
     */
    int addProdAttr(ProdAttrVo prodAttrVo);

    /**
     * 添加商品属性
     *
     * @param prodAttrVo 商品属性Vo
     * @return 影响行数
     */
    int updateProdAttr(ProdAttrVo prodAttrVo);

    /**
     * 删除商品属性
     *
     * @param prodAttrId 商品属性ID
     * @return 影响行数
     */
    int logicDeleteProdAttrByCondition(Long prodAttrId);
}
